package com.flossom.system.service;


import com.flossom.common.core.domain.SysFiringInfo;

import java.util.List;

/**
 * 登录信息Service接口
 *
 * @author flossom
 * @date 2023-11-29
 */
public interface ISysFiringInfoService
{
    /**
     * 查询登录信息
     *
     * @param id 登录信息主键
     * @return 登录信息
     */
    public SysFiringInfo selectSysFiringInfoById(Long id);

    /**
     * 查询登录信息列表
     *
     * @param sysFiringInfo 登录信息
     * @return 登录信息集合
     */
    public List<SysFiringInfo> selectSysFiringInfoList(SysFiringInfo sysFiringInfo);

    /**
     * 新增登录信息
     *
     * @param sysFiringInfo 登录信息
     * @return 结果
     */
    public int insertSysFiringInfo(SysFiringInfo sysFiringInfo);

    /**
     * 修改登录信息
     *
     * @param sysFiringInfo 登录信息
     * @return 结果
     */
    public int updateSysFiringInfo(SysFiringInfo sysFiringInfo);

    /**
     * 批量删除登录信息
     *
     * @param ids 需要删除的登录信息主键集合
     * @return 结果
     */
    public int deleteSysFiringInfoByIds(Long[] ids);

    /**
     * 删除登录信息信息
     *
     * @param id 登录信息主键
     * @return 结果
     */
    public int deleteSysFiringInfoById(Long id);
}
